
/*----------------------------------------------------------------------------
   * Name:    mcu.h
   * Purpose: Header File for device dependent includes
   *          for Spansion FM4 Series
   * Note(s): defines set in "options for target - C/C++ - Define"
   *----------------------------------------------------------------------------
   * This file is part of the uVision/ARM development tools.
   * This software may only be used under the terms of a valid, current,
   * end user licence from KEIL for a compatible version of KEIL software
   * development tools. Nothing else gives you the right to use this software.
   *
   * This software is supplied "AS IS" without warranties of any kind.
   *
   * Copyright (c) 2013 Keil - An ARM Company. All rights reserved.
   *----------------------------------------------------------------------------*/


#ifndef _MCU_H_
#define _MCU_H_

#ifdef MB9BF166M
  #include "MB9B160R\mb9b160r.h"            // MB9BF166M header file include
  #include "MB9B160R\system_mb9abxxx.h"     // MB9BF166M system start-up header file include

#elif defined MB9BF166N
  #include "MB9B160R\mb9b160r.h"            // MB9BF166N header file include
  #include "MB9B160R\system_mb9abxxx.h"     // MB9BF166N system start-up header file include

#elif defined MB9BF166R
  #include "MB9B160R\mb9b160r.h"            // MB9BF166R header file include
  #include "MB9B160R\system_mb9abxxx.h"     // MB9BF166R system start-up header file include

#elif defined MB9BF167M
  #include "MB9B160R\mb9b160r.h"            // MB9BF167M header file include
  #include "MB9B160R\system_mb9abxxx.h"     // MB9BF167M system start-up header file include

#elif defined MB9BF167N
  #include "MB9B160R\mb9b160r.h"            // MB9BF167N header file include
  #include "MB9B160R\system_mb9abxxx.h"     // MB9BF167N system start-up header file include

#elif defined MB9BF167R
  #include "MB9B160R\mb9b160r.h"            // MB9BF167R header file include
  #include "MB9B160R\system_mb9abxxx.h"     // MB9BF167R system start-up header file include

#elif defined MB9BF168M
  #include "MB9B160R\mb9b160r.h"            // MB9BF168M header file include
  #include "MB9B160R\system_mb9abxxx.h"     // MB9BF168M system start-up header file include

#elif defined MB9BF168N
  #include "MB9B160R\mb9b160r.h"            // MB9BF168N header file include
  #include "MB9B160R\system_mb9abxxx.h"     // MB9BF168N system start-up header file include

#elif defined MB9BF168R
  #include "MB9B160R\mb9b160r.h"            // MB9BF168R header file include
  #include "MB9B160R\system_mb9abxxx.h"     // MB9BF168R system start-up header file include

#elif defined MB9BF366M
  #include "MB9B360R\mb9b360r.h"            // MB9BF366M header file include
  #include "MB9B360R\system_mb9abxxx.h"     // MB9BF366M system start-up header file include

#elif defined MB9BF366N
  #include "MB9B360R\mb9b360r.h"            // MB9BF366N header file include
  #include "MB9B360R\system_mb9abxxx.h"     // MB9BF366N system start-up header file include

#elif defined MB9BF366R
  #include "MB9B360R\mb9b360r.h"            // MB9BF366R header file include
  #include "MB9B360R\system_mb9abxxx.h"     // MB9BF366R system start-up header file include

#elif defined MB9BF367M
  #include "MB9B360R\mb9b360r.h"            // MB9BF367M header file include
  #include "MB9B360R\system_mb9abxxx.h"     // MB9BF367M system start-up header file include

#elif defined MB9BF367N
  #include "MB9B360R\mb9b360r.h"            // MB9BF367N header file include
  #include "MB9B360R\system_mb9abxxx.h"     // MB9BF367N system start-up header file include

#elif defined MB9BF367R
  #include "MB9B360R\mb9b360r.h"            // MB9BF367R header file include
  #include "MB9B360R\system_mb9abxxx.h"     // MB9BF367R system start-up header file include

#elif defined MB9BF368M
  #include "MB9B360R\mb9b360r.h"            // MB9BF368M header file include
  #include "MB9B360R\system_mb9abxxx.h"     // MB9BF368M system start-up header file include

#elif defined MB9BF368N
  #include "MB9B360R\mb9b360r.h"            // MB9BF368N header file include
  #include "MB9B360R\system_mb9abxxx.h"     // MB9BF368N system start-up header file include

#elif defined MB9BF368R
  #include "MB9B360R\mb9b360r.h"            // MB9BF368R header file include
  #include "MB9B360R\system_mb9abxxx.h"     // MB9BF368R system start-up header file include

#elif defined MB9BF466M
  #include "MB9B460R\mb9b460r.h"            // MB9BF466M header file include
  #include "MB9B460R\system_mb9abxxx.h"     // MB9BF466M system start-up header file include

#elif defined MB9BF466N
  #include "MB9B460R\mb9b460r.h"            // MB9BF466N header file include
  #include "MB9B460R\system_mb9abxxx.h"     // MB9BF466N system start-up header file include

#elif defined MB9BF466R
  #include "MB9B460R\mb9b460r.h"            // MB9BF466R header file include
  #include "MB9B460R\system_mb9abxxx.h"     // MB9BF466R system start-up header file include

#elif defined MB9BF467M
  #include "MB9B460R\mb9b460r.h"            // MB9BF467M header file include
  #include "MB9B460R\system_mb9abxxx.h"     // MB9BF467M system start-up header file include

#elif defined MB9BF467N
  #include "MB9B460R\mb9b460r.h"            // MB9BF467N header file include
  #include "MB9B460R\system_mb9abxxx.h"     // MB9BF467N system start-up header file include

#elif defined MB9BF467R
  #include "MB9B460R\mb9b460r.h"            // MB9BF467R header file include
  #include "MB9B460R\system_mb9abxxx.h"     // MB9BF467R system start-up header file include

#elif defined MB9BF468M
  #include "MB9B460R\mb9b460r.h"            // MB9BF468M header file include
  #include "MB9B460R\system_mb9abxxx.h"     // MB9BF468M system start-up header file include

#elif defined MB9BF468N
  #include "MB9B460R\mb9b460r.h"            // MB9BF468N header file include
  #include "MB9B460R\system_mb9abxxx.h"     // MB9BF468N system start-up header file include

#elif defined MB9BF468R
  #include "MB9B460R\mb9b460r.h"            // MB9BF468R header file include
  #include "MB9B460R\system_mb9abxxx.h"     // MB9BF468R system start-up header file include

#elif defined MB9BF566M
  #include "MB9B560R\mb9b560r.h"            // MB9BF566M header file include
  #include "MB9B560R\system_mb9abxxx.h"     // MB9BF566M system start-up header file include

#elif defined MB9BF566N
  #include "MB9B560R\mb9b560r.h"            // MB9BF566N header file include
  #include "MB9B560R\system_mb9abxxx.h"     // MB9BF566N system start-up header file include

#elif defined MB9BF566R
  #include "MB9B560R\mb9b560r.h"            // MB9BF566R header file include
  #include "MB9B560R\system_mb9abxxx.h"     // MB9BF566R system start-up header file include

#elif defined MB9BF567M
  #include "MB9B560R\mb9b560r.h"            // MB9BF567M header file include
  #include "MB9B560R\system_mb9abxxx.h"     // MB9BF567M system start-up header file include

#elif defined MB9BF567N
  #include "MB9B560R\mb9b560r.h"            // MB9BF567N header file include
  #include "MB9B560R\system_mb9abxxx.h"     // MB9BF567N system start-up header file include

#elif defined MB9BF567R
  #include "MB9B560R\mb9b560r.h"            // MB9BF567R header file include
  #include "MB9B560R\system_mb9abxxx.h"     // MB9BF567R system start-up header file include

#elif defined MB9BF568M
  #include "MB9B560R\mb9b560r.h"            // MB9BF568M header file include
  #include "MB9B560R\system_mb9abxxx.h"     // MB9BF568M system start-up header file include

#elif defined MB9BF568N
  #include "MB9B560R\mb9b560r.h"            // MB9BF568N header file include
  #include "MB9B560R\system_mb9abxxx.h"     // MB9BF568N system start-up header file include

#elif defined MB9BF568R
  #include "MB9B560R\mb9b560r.h"            // MB9BF568R header file include
  #include "MB9B560R\system_mb9abxxx.h"     // MB9BF568R system start-up header file include

#else
  #error "No MCU defined!"

#endif  /* MCU List */

#endif  /* #ifdef _MCU_H_ */
